# $Revision: 1.29 $, $Date: 2011/01/14 23:10:44 $
Summary:	Gnu Neat Auto Reply With LDAP
Summary(pl.UTF-8):	Gnu Neat Auto Reply With LDAP - autoresponder korzystający z LDAP
Name:		gnarwl
Version:	3.6
Release:	1
License:	GPL
Group:		Applications/Mail
Source0:	http://www.onyxbits.de/sites/default/files/%{name}-%{version}.tgz
# Source0-md5:	832d1e2264b7e47d318b16795d63da8e
Patch0:		%{name}-DESTDIR.patch
Patch1:		%{name}-opt.patch
URL:		http://www.onyxbits.de/gnarwl/
BuildRequires:	autoconf
BuildRequires:	gdbm-devel
BuildRequires:	groff
BuildRequires:	openldap-devel >= 2.4.6
BuildRequires:	rpmbuild(macros) >= 1.304
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Provides:	group(gnarwl)
Provides:	user(gnarwl)
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		schemadir	/usr/share/openldap/schema

%description
Gnarwl is a email auto reply/vacation tool, intented to be used on
mailservers, on which users may not (nescessarily) have
systemaccoounts, but where userinformation is stored in LDAP.

%description -l pl.UTF-8
Gnarwl to system automatycznego odpowiadania na listy stworzony z
myślą o serwerach poczty, na których użytkownicy nie muszą posiadać
prawdziwych kont systemowych, a informacje o użytkownikach znajdują
się w bazie LDAP.

%package -n openldap-schema-ISPEnv2
Summary:	LDAP schema for gnarwl
Summary(pl.UTF-8):	Schemat LDAP dla gnarwla
Group:		Networking/Daemons
Requires(post,postun):	sed >= 4.0
Requires:	openldap-servers
Requires:	sed >= 4.0

%description -n openldap-schema-ISPEnv2
This package contains ISPEnv2.schema to be used with gnarwl.

%description -n openldap-schema-ISPEnv2 -l pl.UTF-8
Ten pakiet zawiera schemat LDAP ISPEnv2.schema do używania z gnarwlem.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__autoconf}
%configure \
	--with-homedir=/var/lib/gnarwl

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -D doc/ISPEnv2.schema $RPM_BUILD_ROOT%{schemadir}/ISPEnv2.schema
rm -rf $RPM_BUILD_ROOT/usr/share/doc/packages/gnarwl

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 26 gnarwl
%useradd -u 26 -d /var/lib/gnarwl -s /usr/bin/gnarwl -c "Gnarwl User" -g gnarwl gnarwl

%post
if [ "$1" = 1 ]; then
%banner -e %{name} <<'EOF'
The OpenLDAP schema for gnarwl can be installed with openldap-schema-ISPEnv2 package.
EOF
fi

%postun
if [ "$1" = "0" ]; then
	%userremove gnarwl
	%groupremove gnarwl
fi

%post -n openldap-schema-ISPEnv2
%openldap_schema_register %{schemadir}/ISPEnv2.schema -d core,cosine
%service -q ldap restart

%postun -n openldap-schema-ISPEnv2
if [ "$1" = "0" ]; then
	%openldap_schema_unregister %{schemadir}/ISPEnv2.schema
	%service -q ldap restart
fi

%files
%defattr(644,root,root,755)
%doc doc/{AUTHORS,FAQ,HISTORY,INSTALL,ISPEnv.schema,LICENSE,README,README.upgrade,example.ldif}
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_sbindir}/*
%config(noreplace) %verify(not md5 mtime size) %attr(640,root,gnarwl) %{_sysconfdir}/gnarwl.cfg
%attr(755,root,gnarwl) %dir %{_var}/lib/gnarwl
%attr(775,root,gnarwl) %dir %{_var}/lib/gnarwl/block
%attr(755,root,gnarwl) %dir %{_var}/lib/gnarwl/bin
%attr(640,root,gnarwl) %{_var}/lib/gnarwl/.forward
%attr(660,root,gnarwl) %{_var}/lib/gnarwl/blacklist.db
%attr(660,root,gnarwl) %{_var}/lib/gnarwl/badheaders.db
%attr(640,root,gnarwl) %{_var}/lib/gnarwl/footer.txt
%attr(640,root,gnarwl) %{_var}/lib/gnarwl/header.txt
%{_mandir}/man*/*

%files -n openldap-schema-ISPEnv2
%defattr(644,root,root,755)
%{schemadir}/*.schema

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnarwl.spec,v $
Revision 1.29  2011/01/14 23:10:44  zbyniu
- up to 3.6

Revision 1.28  2008/06/30 00:15:16  zbyniu
- up to 3.4

Revision 1.27  2007-11-03 02:10:03  baggins
- updated openldap BR/R to 2.4.6

Revision 1.26  2007/02/13 07:16:46  glen
- tabs in preamble

Revision 1.25  2007/02/12 00:48:52  baggins
- converted to UTF-8

Revision 1.24  2006/09/09 01:23:28  glen
- rel 6 (rebuild with fixed %useradd/%groupadd macros)

Revision 1.23  2006/07/20 14:41:42  qboosh
- pl for openldap-schema-ISPEnv2

Revision 1.22  2006/07/20 09:40:30  glen
- rpm macros for %openldap_schema_*

Revision 1.21  2006/07/20 09:04:17  glen
- adjust few obvious permissions

Revision 1.20  2006/07/20 08:56:49  glen
- subpackage for ldap schema (openldap-schema-ISPEnv2)
- let root own the files

Revision 1.19  2006/04/15 12:58:22  glen
- rel 5

Revision 1.18  2006/01/17 15:24:25  baggins
- release 4
- BR openldap 2.3

Revision 1.17  2005/06/26 18:51:40  glen
- updated URL and Source0

Revision 1.16  2005/05/02 18:23:51  glen
- adapterized

Revision 1.15  2005/05/01 17:31:30  glen
- use %useradd/%groupadd macros

Revision 1.14  2004/10/15 13:27:59  ankry
- %userremove/%groupremove support, some standarization

Revision 1.13  2004/08/08 15:49:10  ankry
- spaces -> tabs

Revision 1.12  2004/07/03 13:48:11  zergin
- added BR: groff (by Zbyniu Krzystolik)

Revision 1.11  2004/04/13 14:45:19  adamg
- release 3 to rebuild with new openldap

Revision 1.10  2004/03/16 14:17:16  averne
- rel 2 for rebuild with new openldap

Revision 1.9  2004/03/10 14:22:39  qboosh
- update to 3.3 (partially by abram), updated patches, added pre/postun deps

Revision 1.8  2003/06/06 12:19:20  qboosh
- updated feedback address

Revision 1.7  2003/05/26 16:25:02  malekith
- massive attack: adding Source-md5

Revision 1.6  2003/05/25 05:48:03  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/05/17 06:32:05  pascalek
- revert user changes

Revision 1.4  2003/05/10 10:12:58  pascalek
- Req user-gnarwl

Revision 1.3  2002/05/27 09:42:11  qboosh
- opt patch, use proper CC, cosmetics

Revision 1.2  2002/05/27 09:06:48  kura
- fixed path in .forward file

Revision 1.1  2002/05/27 08:46:28  kura
- spec written from scrach
